## doc-linux-fr 2013.01

=== Makefile ===
# This is part of the fr.comp.os.linux.* FAQ.
# Copyright (c) 1997-2002 Les utilisateurs de fr.comp.os.linux.*
# See the file COPYING for copying conditions.

PROCESSOR=xsltproc --catalogs --nonet

HTMLSINGLE=to_html.xsl
HTMLMULTI=to_html-multi.xsl

# Ce chemin *ne devrait pas* tre cod en dur. Yapluka crire un bout
# de script pour aller chercher les feuilles de style l o elles sont.
# Un volontaire ?
STYLESHEETS=/usr/local/share/sgml/stylesheets

# a aussi, a devrait tre gnr automatiquement.
XMLFILES=faq-fcol.xml */*.xml

all: faq-fcol.ps faq-fcol.pdf html faq-fcol.txt

clean:
	rm -f faq-fcol-LaTeX.xml faq-fcol.aux faq-fcol.toc faq-fcol.log
	rm -f faq-fcol.html faq-fcol.txt faq-fcol.dvi faq-fcol.ps faq-fcol.pdf
	rm -f faq-fcol.tex faq-fcol.out
	rm -fr HTML

faq-fcol.ps: faq-fcol.dvi
	dvips faq-fcol.dvi -o

faq-fcol.dvi: faq-fcol.tex
	latex faq-fcol.tex ;
	while grep -s 'Rerun to get cross' faq-fcol.log ;\
	do latex faq-fcol.tex ;\
	done

faq-fcol.pdf: faq-fcol.tex
	pdflatex faq-fcol.tex ;
	while grep -s 'Rerun to get cross' faq-fcol.log ;\
	do pdflatex faq-fcol.tex ;\
	done

faq-fcol.tex: faq-fcol-LaTeX.xml
	$(PROCESSOR) to_tex.xsl faq-fcol-LaTeX.xml > faq-fcol.tex

faq-fcol-LaTeX.xml: $(XMLFILES)
	sed -e 's/%ISOent;/%TeXent;/' < faq-fcol.xml > faq-fcol-LaTeX.xml

faq-fcol.txt: faq-fcol.html
	lynx -dump -nolist faq-fcol.html > faq-fcol.txt

faq-fcol.html: $(XMLFILES)
	$(PROCESSOR) $(HTMLSINGLE) faq-fcol.xml > faq-fcol.html

html: $(XMLFILES)
	[ -d HTML ] || mkdir HTML
	cd HTML ; $(PROCESSOR) ../$(HTMLMULTI) ../faq-fcol.xml

## doc-linux-fr 2005.08-1

=== debian/changelog ===
doc-linux-fr (2005.08-1) unstable; urgency=low

  * August release

  Added:
   XDMCP-HOWTO
   Parallel-Processing-HOWTO
   Scientific-Computing-with-GNU-Linux
   Cryptoloop-HOWTO
   XFree86-Touch-Screen-HOWTO
   K7s5a-HOWTO
   TimePrecision-HOWTO

  Updated:
   Hardware-HOWTO
   Petit-guide-du-traducteur
   Samba-Authenticated-Gateway-HOWTO
   ACPI-HOWTO
  
  * Bump Standards-Version to 3.6.2 : checklist OK.

 -- Pierre Machard <pmachard@debian.org>  Wed, 24 Aug 2005 19:27:43 +0200

doc-linux-fr (2005.02-1) unstable; urgency=medium

  * February 2005 Release (The Ginkgo release)
  
  Urgency set to medium due to the imminent release of Sarge
  
  Update fr-html/index.html location
  
  Removed unusefull .mirror files
  
  Only remove outils/RedHat-CD-HOWTO/ and not the other file under
  the same directory
  
  Added: 
    Apache-WebDAV-LDAP-HOWTO
    Chroot-BIND8-HOWTO
    Chroot-BIND-HOWTO
    CSPM-HOWTO
    Dico
    Fedora-Multimedia-Installation-HOWTO
    KDE-GUI-Login-Configuration-HOWTO
    Linux-Complete-Backup-and-Recovery-HOWTO
    Linux+IPv6-HOWTO
    LVM-HOWTO
    MMBase
    Mobile-IPv6-HOWTO
    MP3-CD-Burning
  
  Updated: 
    ACPI-HOWTO
    ATA-RAID-HOWTO
    Bootdisk-HOWTO
    Compressed-TCP
    Debian-and-Windows-Shared-Printing
    Debian-Jigdo
    DocBook-OpenJade-SGML-XML-HOWTO
    Encrypted-Root-Filesystem-HOWTO
    Event-HOWTO
    Filesystems-HOWTO
    Hardware-HOWTO
    Home-Electrical-Control
    IP-Subnetworking
    Linux-Crash-HOWTO
    Linux-Gamers-HOWTO
    Multicast-HOWTO
    Multi-Distro-Dev
    Petit-guide-du-traducteur
    Post-Installation-Checklist
    Samba-Authenticated-Gateway-HOWTO
    TransparentProxy
    Wireless-HOWTO
    XDM-Xterm

  Removed: (no need to store tar.gz files in text package)
    Authentication-Gateway-HOWTO-text.tar.gz
    Home-Network-mini-HOWTO-text.tar.gz
    Linux-Complete-Backup-and-Recovery-HOWTO-text.tar.gz
    CSPM-HOWTO-text.tar.gz
    Mobile-IPv6-HOWTO-text.tar.gz
    
    Commercial-HOWTO
    Firewall-HOWTO

 -- Pierre Machard <pmachard@debian.org>  Thu,  3 Feb 2005 19:20:15 +0100

doc-linux-fr (2004.07-1) unstable; urgency=low

  * July 2004 Release (The LSM release)
  Update index-cleaner thanks to Erwann Thoraval
  Added:
    Event-HOWTO
    Petit-guide-du-traducteur
    Linux-Gamers-HOWTO
    Hardware-HOWTO
    RedHat-CD-HOWTO
    Home-Electrical-Control
    Hard-Disk-Upgrade

 -- Pierre Machard <pmachard@debian.org>  Tue,  6 Jul 2004 12:50:41 +0200

doc-linux-fr (2004.05-1) unstable; urgency=low

  * May 2004 Release
  Added:
     Compressed-TCP
     Debian-Jigdo
     Debian-and-Windows-Shared-Printing
     DocBook-OpenJade-SGML-XML-HOWTO
     Encrypted-Root-Filesystem-HOWTO
     Filesystems-HOWTO
     Linux-Crash-HOWTO
     Multi-Distro-Dev
     Petit-guide-du-traducteur
     Post-Installation-Checklist
  Removed:
     Anon-ftp
     Busmouse-HOWTO
     Colour-ls
     DHCPcd
     DHCPd
     Dial-On-Demand
     Diald
     Dynamic-IP-Hacks
     Hard-disk-upgrade
     Howto-HOWTO
     IP-Masquerade
     Large-Disk
     Large-IDE
     Linux-From-Scratch-HOWTO
     Liste-des-HOWTO
     MIDI+SB
     NET4-HOWTO
     PPP-over-ISDN
     PPP-over-minicom
     PostgreSQL-HOWTO
     Postgres
     Proxy-ARP
     SCSI-HOWTO
     Slip+ProxyARP
     Virtual-wu-ftpd
     Win95+Win+Linux
     Win95+Win3x+Linux
     Windows-Modem-Sharing
     X-Terminal
  * Update index-cleaner to fit with upstream changes

 -- Pierre Machard <pmachard@debian.org>  Sun, 23 May 2004 15:31:54 +0200

doc-linux-fr (2003.10-1) unstable; urgency=low

  * October 2003 release
    Add : Multicast over TCP/IP HOWTO
  * Use Mirror to retrieve HOWTOs instead of wget, since wget does not
    delete obsolete files.
  * Merge Mini-HOWTO with HOWTOs.
  * Improve package management.
  * Delete Reference to the RedHat CDROM in the index.

 -- Pierre Machard <pmachard@debian.org>  Mon, 27 Oct 2003 21:48:12 +0100

doc-linux-fr (2003.09-1) unstable; urgency=low

  * Septembre 2003 release:
    - Add Samba-Authenticated-Gateway HOWTO
    - Wireless HOWTO
    - ACPI HOWTO

 -- Pierre Machard <pmachard@debian.org>  Fri, 26 Sep 2003 14:39:08 +0200

doc-linux-fr (2003.07-1) unstable; urgency=low

  * July 2003 release
  * Modify the name of indexes

 -- Pierre Machard <pmachard@debian.org>  Sun, 27 Jul 2003 10:48:14 +0200

doc-linux-fr (2003.05-1) unstable; urgency=low

  * May 2003 release
  * Add html indexes for HOWTO and mini-HOWTO
  * Update Standards-Version 

 -- Pierre Machard <pmachard@debian.org>  Thu, 29 May 2003 10:58:59 +0200

doc-linux-fr (2003.04-2) unstable; urgency=low

  * Remove dh_dhelp, since I cannot produce .dhelp automatically

 -- Pierre Machard <pmachard@tuxfamily.org>  Mon, 21 Apr 2003 22:17:13 +0200

doc-linux-fr (2003.04-1) unstable; urgency=low

  * April 2003 release
  * New rebuild of the package, add facilities to update the contents
  * Split the package in doc-linux-fr-html and doc-linux-fr-text
  * Remove the FSSTND since the FHS is already include

 -- Pierre Machard <pmachard@tuxfamily.org>  Fri, 18 Apr 2003 16:50:29 +0200

doc-linux-fr (2002.10-1) unstable; urgency=low

  * October 2002 release
  * New maintainer sponsored by Guillaume Morin <gemorin@debian.org>
  * Fix spelling error in description (closes: #124556, #146424)

 -- Pierre Machard <pmachard@tuxfamily.org>  Thu, 17 Oct 2002 08:52:14 +0200

doc-linux-fr (2001.09-1) unstable; urgency=low

  * September 2001 release
  * Package management handled mostly by debhelper v3
  * DH_COMPAT is now 3
  * control: fixed build depends
  * French HOWTO has been replaced by Francophones HOWTO (closes: #107468)

 -- Guillaume Morin <gemorin@debian.org>  Fri, 31 Aug 2001 16:48:46 +0200

doc-linux-fr (2001.05-1) unstable; urgency=low

  * May 2001 release

 -- Guillaume Morin <gemorin@debian.org>  Fri, 31 Aug 2001 16:35:07 +0200

doc-linux-fr (2000.11-1) unstable; urgency=low

  * November 2000 release 

 -- Guillaume Morin <gemorin@debian.org>  Tue, 24 Oct 2000 13:54:41 +0200



=== debian/control ===
Source: doc-linux-fr
Section: doc
Priority: optional
Maintainer: Pierre Machard <pmachard@debian.org>
Standards-Version: 3.6.2
Build-Depends-Indep: tidy, debhelper (>> 3.0.0), mirror

Package: doc-linux-fr-html
Priority: optional
Architecture: all
Conflicts: doc-linux-fr
Replaces: doc-linux-fr
Suggests: doc-base, lynx | www-browser
Description: Linux docs in French: HOWTOs, MetaFAQs in HTML format
 This package installs the French versions of the current Linux 
 HOWTOs and mini-HOWTOs as well as the "info-sheet", "metafaq",
 "fcol-faq" and "intro" French documents on your Debian
 system in HTML format. The version number reflects the month in
 which doc-linux-fr-html was created.
 .
 All files are available at ftp://ftp.lip6.fr/pub/linux/french/docs
 (with versions in ASCII, DVI and PostScript formats).

Package: doc-linux-fr-text
Architecture: all
Conflicts: doc-linux-fr
Replaces: doc-linux-fr
Suggests: doc-linux-fr-html
Description: Linux docs in French: HOWTOs, MetaFAQs in ASCII format
 This package installs the French versions of the current Linux
 HOWTOs, mini-HOWTOs and the "fhs" on your Debian in ASCII format. 
 Alternatively, HTML versions are provided in the 
 doc-linux-fr-html package.
 .
 The version number reflects the month in which doc-linux-fr-text was created.
 .
 All files are available at ftp://ftp.lip6.fr/pub/linux/french/docs
 (with versions in ASCII, DVI and PostScript formats).

=== debian/rules ===
#!/usr/bin/make -f
#
# Invoke each target with `./debian/rules <target>'.  All targets should be
# invoked with the package root as the current directory.
# 
# Marco Budde (Budde@tu-harburg.de)
# Colin Watson (cjwatson@debian.org)
# Pierre Machard (pmachard@debian.org)
# 
# The name of the package

R = debian/doc-linux-fr-html
R2 = debian/doc-linux-fr-text

HTML_BUILD = $(R)/usr/share/doc/HOWTO/fr-html
TEXT_BUILD = $(R2)/usr/share/doc/HOWTO/fr-txt

TGZ = tar -z


source = $(shell dpkg-parsechangelog | grep '^Source:' | sed 's/^Source: //')
upstream = $(shell dpkg-parsechangelog | grep '^Version:' | \
                   sed -e 's/^Version: //' -e 's/-.*//')

#DEB_BUILD_OPTIONS=noopt

export DH_COMPAT = 2
export DH_OPTIONS

$(DIRECTORIES):
	install -d -g root -o root -m 755 $@
	chmod g-s $@
		
# Override this if you want to use a mirror closer to home.
TRADUC = ftp://traduc.org/pub/traduc.org/doc-vf

LFO = ftp://ftp.linux-france.org/pub/

refresh: refresh-howto-html refresh-howto-text refresh-intro refresh-info-sheet refresh-meta-faq

refresh-howto-html:
	dh_testdir
	# Update HTML versions of the HOWTOs.
	# Until the severals-html versions get clean, I use one-html Howto
	[ -d HOWTO/HTML/ ] || mkdir -p HOWTO/HTML
	# Unpack the Howtos
	$(TGZ) -C HOWTO/HTML -xf HOWTO/Linux-html-HOWTOs.tar.gz

	#Backup the old html-HOWTOs.tar.gz
	cp HOWTO/Linux-html-HOWTOs.tar.gz HOWTO/Linux-html-HOWTOs.old.tar.gz
	
	#refresh 
	mirror -p doc-linux-fr-html -d debian/Mirror
	#fetch index
	wget -O HOWTO/index.html \
		"http://www.traduc.org/docs/HOWTO/nouvel_index.php?global.1"
		
	# Pack the Howtos
	$(TGZ) --exclude \.mirror -C HOWTO/HTML -cf HOWTO/Linux-html-HOWTOs.tar.gz .

refresh-howto-text:
	dh_testdir
	# Update text versions of the text HOWTOs.
	[ -d HOWTO/text/ ] || mkdir -p HOWTO/text
	
	# Unpack the text howtos.
	$(TGZ) -C HOWTO/text -xf HOWTO/Linux-text-HOWTOs.tar.gz

	#Backup the old text-HOWTOs.tar.gz
	cp HOWTO/Linux-text-HOWTOs.tar.gz HOWTO/Linux-text-HOWTOs.old.tar.gz
	
	# gunzip the content since the server provide plain text only
	cd HOWTO/text ; gunzip * ; cd ../../;
	
	# Refresh
	mirror -dd -p doc-linux-fr-text -d debian/Mirror
	
	# Pack the text Howtos
	cd  HOWTO/text ; gzip -9 *; cd ../../;
	$(TGZ) --exclude \.mirror -C HOWTO/text/ -cf HOWTO/Linux-text-HOWTOs.tar.gz .

# I do not use it since upstream did not yet provide html archive
refresh-faq:
	dh_testdir
	#Update the Linux FAQ.
	[ -d fcol-faq ] || mkdir fcol-faq
	wget --timestamping --no-directories --directory-prefix fcol-faq --passive \
		$(LFO)/article/fcol-faq/faq-xml.tar.gz

# I do not use it since it requires addons to produce html. I only include
# the text archive
refresh-fhs:
	dh_testdir
	[ -d fhs-fr ] || mkdir fhs-fr
	#Update the translation of the FHS
	wget --timestamping --no-directories --directory-prefix fhs-fr --passive \
		$(LFO)/article/sys/fhs-2.0.fr-nroff.tar.gz
refresh-intro:
	dh_testdir
	[ -d intro ] || mkdir intro
	#Update the linux intro
	wget --timestamping --no-directories --directory-prefix intro --passive \
		$(TRADUC)/documents/intro/intro-html.tar.gz
		
refresh-info-sheet:
	dh_testdir
	[ -d info-sheet ] || mkdir info-sheet
	#Update the info-sheet
	wget --timestamping --no-directories --directory-prefix info-sheet --passive \
		$(TRADUC)/documents/info-sheet.fr/info-sheet.fr-html.tar.gz

refresh-meta-faq:
	dh_testdir
	[ -d meta-faq ] || mkdir meta-faq
	#Update the meta-faq
	wget --timestamping --no-directories --directory-prefix meta-faq --passive \
	$(TRADUC)/documents/meta-faq.fr/meta-faq.fr-html.tar.gz

build: build-stamp

build-stamp:
	dh_testdir
	touch $@

# Undoes the effect of `make -f rules build'.
clean:
	dh_testdir
	dh_testroot
	rm -rf $(R) $(R2)
	rm -rf HOWTO/HTML HOWTO/text
	dh_clean build-stamp 

# Build a new .orig.tar.gz.
orig: clean
	 
	 $(TGZ) -C .. --exclude debian -cvf \
	 	../$(source)_$(upstream).orig.tar.gz $(source)-$(upstream)

# Construct the binary packages.

binary-doc-linux-fr-html: DH_OPTIONS=-pdoc-linux-fr-html
binary-doc-linux-fr-html: build
	dh_testdir
	dh_testroot
	dh_clean -d
	dh_installdirs
	
	$(TGZ) -C $(HTML_BUILD) -xf HOWTO/Linux-html-HOWTOs.tar.gz
	cp HOWTO/index*.html $(HTML_BUILD)/
	
	# Clean the index and remove reference to the RedHat-CD-HOWTO see below for
	# details 
	chmod +x debian/index-cleaner
	debian/index-cleaner $(HTML_BUILD)/index.html	
	# dhelp is too broken #193428 and since doc-base does not how to deal with 
	# multiple docid #114692, I cannot run the make-dhelp script
	
	#debian/make-dhelp -v dir=fr/HOWTO $(HTML_BUILD)/HOWTO-Index.html > $(HTML_BUILD)/.dhelp
	#debian/make-dhelp -v dir=fr/HOWTO/mini \
	#	$(HTML_BUILD)/mini/MINI-HOWTO-Index.html > $(HTML_BUILD)/mini/.dhelp

	# The HTML version of this HOWTO contains sample i386-only binaries.
	# Removed for now.
	rm -rf $(HTML_BUILD)/RedHat-CD-HOWTO*
	rm -rf $(HTML_BUILD)/outils/RedHat*

	$(TGZ) -C $(R)/usr/share/doc/LANG/fr/linux/fcol-faq/ -xvf fcol-faq/fcol-faq-html.tar.gz
	ln -s ../LANG/fr/linux/fcol-faq $(R)/usr/share/doc/doc-linux-fr-html/fcol-faq
	install -m 644 debian/doc-base.fcol-faq $(R)/usr/share/doc-base/fcol-faq

	$(TGZ) -C $(R)/usr/share/doc/LANG/fr/linux/intro/ -xvf intro/intro-html.tar.gz
	ln -s ../LANG/fr/linux/intro $(R)/usr/share/doc/doc-linux-fr-html/intro

	$(TGZ) -C $(R)/usr/share/doc/LANG/fr/linux/info-sheet/ -xvf info-sheet/info-sheet.fr-html.tar.gz
	ln -s ../LANG/fr/linux/info-sheet $(R)/usr/share/doc/doc-linux-fr-html/info-sheet

	$(TGZ) -C $(R)/usr/share/doc/LANG/fr/linux/meta-faq -xvf meta-faq/meta-faq.fr-html.tar.gz
	ln -s ../LANG/fr/linux/meta-faq $(R)/usr/share/doc/doc-linux-fr-html/meta-faq

	dh_installdocs -n debian/FDL-1.1
	dh_installchangelogs
	gzip -9 $(R)/usr/share/doc/doc-linux-fr-html/FDL-1.1 \
		$(R)/usr/share/doc/doc-linux-fr-html/changelog.Debian
	ln -s ../HOWTO/fr-html $(R)/usr/share/doc/doc-linux-fr-html/HOWTO
	
	install -m 644 debian/index.html $(R)/usr/share/doc/doc-linux-fr-html/

binary-doc-linux-fr-text: DH_OPTIONS=-pdoc-linux-fr-text
binary-doc-linux-fr-text: build
	dh_testdir
	dh_testroot
	dh_clean -d
	dh_installdirs

	$(TGZ) -C $(TEXT_BUILD) -xf HOWTO/Linux-text-HOWTOs.tar.gz
	rm -f $(TEXT_BUILD)/COPYRIGHT

	#this HOWTO contains sample i386-only binaries.
	# Removed for now. 
	rm -f $(TEXT_BUILD)/RedHat-CD-HOWTO-text.tar.gz
	
	dh_installdocs -n debian/FDL-1.1
	dh_installchangelogs
	gzip -9 $(R2)/usr/share/doc/doc-linux-fr-text/FDL-1.1 \
		$(R2)/usr/share/doc/doc-linux-fr-text/changelog.Debian
	ln -s ../HOWTO/fr-txt $(R2)/usr/share/doc/doc-linux-fr-text/HOWTO
	cp -a fhs-fr/fhs.txt $(R2)/usr/share/doc/LANG/fr/linux/fhs-fr/
	gzip -9 $(R2)/usr/share/doc/LANG/fr/linux/fhs-fr/fhs.txt
	ln -s ../LANG/fr/linux/fhs-fr $(R2)/usr/share/doc/doc-linux-fr-text/fhs-fr

binary-arch:

# Makes a binary package.
binary-indep: DH_OPTIONS=-i
binary-indep: binary-doc-linux-fr-html binary-doc-linux-fr-text
	dh_fixperms
	dh_installdeb
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch

.PHONY: refresh refresh-howto-html refresh-howto-text refresh-faq
.PHONY: refresh-fhs refresh-intro refresh-info-sheet refresh-meta-faq
.PHONY: clean orig binary-doc-linux-fr-html binary-doc-linux-fr-text
.PHONY: binary-arch binary-indep binary

## doc-linux-fr 2013.01

=== debian/changelog ===
doc-linux-fr (2013.01-3ubuntu1) bionic; urgency=medium

  * debian/control: build-depend on lynx instead of the deprecated lynx-cur
    transitional package.

 -- Łukasz 'sil2100' Zemczak <lukasz.zemczak@ubuntu.com>  Thu, 14 Dec 2017 19:59:51 +0100

doc-linux-fr (2013.01-3) unstable; urgency=medium

  * Add Homepage as already documented in the PTS
  * Handle patches with gbp pq
  * Update Standards-Version to 3.9.7
  * Build-depend on default-jre instead of openjdk-7-jre-headless
    (Closes: #814160)
  * Use fr_FR.UTF-8 locale during build
  * Use local resolver, thus avoiding network access
  * Fix copyright

 -- David Prévot <taffit@debian.org>  Wed, 10 Feb 2016 19:09:36 -0400

doc-linux-fr (2013.01-2) unstable; urgency=low

  * Upload to unstable (no upstream update since at least 2012)

 -- David Prévot <taffit@debian.org>  Fri, 12 Jul 2013 18:54:02 -0400

doc-linux-fr (2013.01-1) experimental; urgency=low

  * January 2013 Release:
  * Added ProductionGuidesPratiques to build HOWTO from source.
  * HOWTO update:
    - Use the source instead of prebuilt HTML and text versions
    - Text HOWTOs without extension will now get a .txt one
    - Call-back renamed as call-back
    - HOWTO-HOWTO renamed as HOWTO-Howto (not included for license issue)
    - Remove HOWTO without sources:
      + PPP-FAQ (text only)
      + HOWTO-Index (one-line text only)
    - Remove outdated documentation added back by mistake in 2012.11-1:
      + Anon-ftp
      + Busmouse-HOWTO
      + Colour-ls
      + Commercial-HOWTO
      + DHCPcd
      + DHCPd
      + Dial-On-Demand
      + Diald
      + Dynamic-IP-Hacks
      + Firewall-HOWTO
      + Install-Strategies
      + Large-Disk
      + Large-IDE
      + Linux-From-Scratch-HOWTO
      + Linux+Solaris
      + Liste-des-HOWTO
      + Mail-HOWTO
      + MIDI+SB
      + NET4-HOWTO
      + Postgres
      + PostgreSQL-HOWTO
      + PPP-over-ISDN
      + PPP-over-minicom
      + Proxy-ARP
      + SCSI-HOWTO
      + Slip+ProxyARP
      + Virtual-wu-ftpd
      + Win+BSD+Linux-Install-HOWTO
      + Win95+Win+Linux
      + Win95+Win3x+Linux
      + Windows-LAN-Server-HOWTO
      + Windows-Modem-Sharing
      + X-Terminal
    - Remove duplicated documentation added back by mistake in 2012.11-1:
      + IR-HOWTO
      + Keyboard-HOWTO
      + Linux+FreeBDS-mini-HOWTO
      + Offline-Mailing-HOWTO
    - Remove unsuitable files, Open Publication License:
      + Adv-Routing-HOWTO (v1.0+)
      + DHCP
      + lartc (v1.0+)
      + Online-Troubleshooting-HOWTO (v0.4+)
      + SquashFS-HOWTO
      + XFree86-Video-Timings-HOWTO (v2.0)
    - Remove unsuitable files, exception to redistribution with modification
      added to original licence:
      + Astronomy-HOWTO (LDP)
      + C-C++Beautifier-HOWTO (GPL)
      + CD-Distributions-EN-HOWTO (HOWTO)
      + Howto-HOWTO (GPL)
      + Installation-HOWTO (HOWTO)
      + IPMasquerading+Napster (LDP)
      + Jaz-Drive-HOWTO (GPL)
      + KDE-GUI-Login-Configuration-HOWTO (GPL)
      + Plug-and-Play-HOWTO (GPL)
      + Reading-List-HOWTO (HOWTO)
      + Text-Terminal-HOWTO (HOWTO)
      + TransparentProxy (HOWTO)
      + User-Authentication-HOWTO (HOWTO)
      + Vim-HOWTO (GPL)
      + Wacom-USB-mini-HOWTO (HOWTO)
      + XFree86-HOWTO (HOWTO)
    - Remove unsuitable files, no distribution allowed with modification:
      + Mail2News
      + RPM-HOWTO
      + SMB-HOWTO
      + StarOffice
      + UPS-HOWTO
      + FTP
    - Remove unsuitable files, non commercial distribution:
      + Process-Accounting
      + Quota (no modification either)

  * rules: 
    - Fetch ProductionGuidesPratiques source
    - Retrieve HOWTO source from FTP
    - Exclude duplicates from howto
    - Remove unsuitable files
    - Also fetch the sylesheet
    - Retrieve missing source from Subversion
    - Retrieve missing source from the wiki
    - Build HOWTO from source
    - Build PDF and PostScript
  * copyright:
    - Add ProductionGuidesPratiques license
    - Sync with HOWTO new layout
    - Document style.css
    - Document each howto
  * patches: 
    - Don't build multibloc HTML
    - Don't build DVI
  * *.install: Sync with HOWTO new layout
  * control:
    - Add build-dependencies for howto
    - Add more build-dependencies for fcol-faq
    - Order build-dependencies
  * doc-linux-fr-text.links: Add a link to fcol-faq
  * Add doc-linux-fr-ps
  * Add doc-linux-fr-pdf

 -- David Prévot <taffit@debian.org>  Mon, 31 Dec 2012 18:18:17 -0400

doc-linux-fr (2012.12-1) experimental; urgency=low

  * December 2012 Release:
    - fcol-faq updated to 20021030

  * Convert to format 3.0 (quilt)
    - Move internal tarball as external supplementary ones
  * Bump compat level to 9
  * rules:
    - Update refresh target as get-orig-source
    - Simplify, thanks to dh
    - Build fcol-faq and fhs-fr from source
  * control:
    - Document Vcs-
    - Bump Standards-Version to 3.9.4
    - Review synopsis
    - Update build dependencies
    - Remove Conflicts and Replaces against doc-linux-fr (not in oldstable)
  * copyright: Update to format 1.0
  * Add doc-base for every document
  * Make index-cleaner executable
  * Update README.source (formerly README.updating)
  * Remove useless files:
    - mirror (configuration file not used anymore)
    - doc-linux-fr-html.{postinst,prerm} (install-docs handled by triggers)
    - debian/*.dirs (not needed anymore)
    - make-dhelp (unused script)
  * fcol-faq:
    - Use docbook-xsl stylesheet instead of local one
    - Changed HTML files name
    - Also include the text version
    - Use --novalid switch for xsltproc, avoiding network access
  * fhs-fr: Use UTF-8 instead of ISO 8859-1
  * howto-text: Remove README

 -- David Prévot <taffit@debian.org>  Sat, 01 Dec 2012 07:54:48 -0400

doc-linux-fr (2012.11-1) unstable; urgency=low

  * November 2012 Release

  Added:
   AI-Alife-HOWTO
   Anon-ftp (HTML only)
   Athlon-Powersaving-HOWTO
   BackspaceDelete (HTML only)
   Boot+Root+Raid+LILO
   Busmouse-HOWTO (HTML only)


=== debian/control ===
Source: doc-linux-fr
Section: doc
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: David Prévot <taffit@debian.org>
Standards-Version: 3.9.7
Build-Depends: debhelper (>> 9)
Build-Depends-Indep: default-jre,
                     docbook-utils,
                     docbook-xml,
                     docbook-xsl,
                     docbook-xsl-saxon,
                     elinks,
                     fig2ps,
                     fop,
                     ghostscript,
                     groff,
                     html2ps,
                     htmldoc,
                     imagemagick,
                     libxml2-utils,
                     linuxdoc-tools,
                     locales-all,
                     lynx,
                     texlive-binaries,
                     texlive-lang-french,
                     texlive-latex-base,
                     tidy,
                     xsltproc
Vcs-Git: git://anonscm.debian.org/collab-maint/doc-linux-fr.git
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/doc-linux-fr.git
Homepage: http://www.traduc.org/

Package: doc-linux-fr-html
Architecture: all
Depends: ${misc:Depends}
Suggests: doc-base, lynx | www-browser
Description: Linux docs in French: HOWTOs, MetaFAQs in HTML format
 This package installs the French versions of the current Linux
 HOWTOs and mini-HOWTOs as well as the "info-sheet", "metafaq",
 "fcol-faq" and "intro" French documents in HTML format.
 .
 The version number reflects the month in which doc-linux-fr-html
 was created.

Package: doc-linux-fr-pdf
Architecture: all
Depends: ${misc:Depends}
Suggests: doc-linux-fr-html
Description: Linux docs in French: HOWTOs, MetaFAQs in PDF format
 This package installs the French versions of the current Linux
 HOWTOs, mini-HOWTOs as well as the "fcol-faq" French document in
 PDF format.
 Alternatively, HTML versions are provided in the
 doc-linux-fr-html package.
 .
 The version number reflects the month in which doc-linux-fr-pdf
 was created.

Package: doc-linux-fr-ps
Architecture: all
Depends: ${misc:Depends}
Suggests: doc-linux-fr-html
Description: Linux docs in French: HOWTOs, MetaFAQs in PostScript format
 This package installs the French versions of the current Linux
 HOWTOs, mini-HOWTOs and the "fhs" as well as the "fcol-faq" French
 document in PostScript format.
 Alternatively, HTML versions are provided in the
 doc-linux-fr-html package.
 .
 The version number reflects the month in which doc-linux-fr-ps
 was created.

Package: doc-linux-fr-text
Architecture: all
Depends: ${misc:Depends}
Suggests: doc-linux-fr-html
Description: Linux docs in French: HOWTOs, MetaFAQs in text format
 This package installs the French versions of the current Linux
 HOWTOs, mini-HOWTOs and the "fhs" as well as the "fcol-faq" French
 document in text format.
 Alternatively, HTML versions are provided in the
 doc-linux-fr-html package.
 .
 The version number reflects the month in which doc-linux-fr-text
 was created.

=== debian/rules ===
#!/usr/bin/make -f
#
# Invoke each target with `./debian/rules <target>'.  All targets should be
# invoked with the package root as the current directory.
# 
# Marco Budde (Budde@tu-harburg.de)
# Colin Watson (cjwatson@debian.org)
# Pierre Machard (pmachard@debian.org)
# 
# The name of the package

R = debian/doc-linux-fr-html
R2 = debian/doc-linux-fr-text
R3 = debian/doc-linux-fr-ps
R4 = debian/doc-linux-fr-pdf

HTML_BUILD = $(R)/usr/share/doc/HOWTO/fr-html
TEXT_BUILD = $(R2)/usr/share/doc/HOWTO/fr-txt
PS_BUILD = $(R3)/usr/share/doc/HOWTO/fr-ps
PDF_BUILD = $(R4)/usr/share/doc/HOWTO/fr-pdf

source = $(shell dpkg-parsechangelog | grep '^Source:' | sed 's/^Source: //')
upstream = $(shell dpkg-parsechangelog | grep '^Version:' | \
                   sed -e 's/^Version: //' -e 's/-.*//')

# Override this if you want to use a mirror closer to home.
TRADUC = ftp://traduc.org/pub/traduc.org/doc-vf
LFO = ftp://ftp.linux-france.org/pub

SUPP = fcol-faq fhs-fr info-sheet intro meta-faq ProductionGuidesPratiques

FILE_fhs_fr = fhs-2.0.fr-nroff.tar.gz
FILE_fcol_faq = faq-fcol.tar.gz
FILE_info_sheet = info-sheet.fr-html.tar.gz
FILE_intro = intro-html.tar.gz
FILE_meta_faq = meta-faq.fr-html.tar.gz
FILE_ProductionGuidesPratiques = master.tar.gz

URL_fhs_fr = $(LFO)/article/sys/$(FILE_fhs_fr)
URL_fcol_faq = $(LFO)/article/fcol-faq/$(FILE_fcol_faq)
URL_info_sheet = $(TRADUC)/documents/info-sheet.fr/$(FILE_info_sheet)
URL_intro = $(TRADUC)/documents/intro/$(FILE_intro)
URL_meta_faq = $(TRADUC)/documents/meta-faq.fr/$(FILE_meta_faq)
URL_ProductionGuidesPratiques = https://github.com/fevrier/ProductionGuidesPratiques/archive/$(FILE_ProductionGuidesPratiques)

OPTION_fcol_faq = --strip-components=1
OPTION_fhs_fr = --strip-components=1
OPTION_ProductionGuidesPratiques = --strip-components=1

IGNORE = ATA-RAID-HOWTO.sgml IRC.sgml Linux\+WinNT.sgml MP3-CD-Burning.sgml \
	 $(NONFREE)
NONFREE = Adv-Routing-HOWTO.sgml Astronomy-HOWTO.sgml \
	  C-C\+\+Beautifier-HOWTO.sgml CD-Distributions-EN-HOWTO.sgml \
	  DHCP.sgml FTP.xml HOWTO-HOWTO-sgml.tar.gz Installation-HOWTO.sgml \
	  IPMasquerading\+Napster.sgml Jaz-Drive-HOWTO.sgml \
	  KDE-GUI-Login-Configuration-HOWTO.xml lartc.xml Mail2News.sgml \
	  Online-Troubleshooting-HOWTO.sgml Plug-and-Play-HOWTO.xml \
	  Process-Accounting.sgml Quota.sgml Reading-List-HOWTO.sgml \
	  RPM-HOWTO.sgml SMB-HOWTO.sgml SquashFS-HOWTO-xml.tar.gz \
	  StarOffice.sgml Text-Terminal-HOWTO.sgml TransparentProxy.xml \
	  UPS-HOWTO.sgml User-Authentication-HOWTO.xml Vim-HOWTO.sgml \
	  Wacom-USB-mini-HOWTO.xml XFree86-HOWTO.sgml \
	  XFree86-Video-Timings-HOWTO.xml

SUBVERSION_images = HP-HOWTO/images/HP-HOWTO images/TimePrecision-HOWTO

WIKI_URL = http://traduc.org/Guides_pratiques/Suivi/
WIKI = EVMSUG

get-orig-source: howto $(SUBVERSION_images) $(SUPP) $(WIKI)

$(SUBVERSION_images):
	dh_testdir
	[ -d howto/images ] || mkdir howto/images
	cd howto/images && svn export svn://svn.traduc.org/guides_pratiques/trunk/$@

$(WIKI):
	dh_testdir
	[ -d howto ] || mkdir howto
	w3m "$(WIKI_URL)$@/Source?action=raw" > howto/$@.source
	for i in $$(sed -n -e '/\[\[\/.*|/p' howto/$@.source | \
		sed 's,^.*\[\[/\(.*\)|.*$$,\1,') ; do \
		w3m "$(WIKI_URL)$@/Source/$$i?action=raw" | \
		sed -e '1d' > howto/$$i && sleep 5 ; done
	[ -d howto/images/$@ ] || mkdir howto/images/$@
	for i in $$(sed -n -e '/\[\[attachment:.*\]\]/p' howto/$@.source | \
		sed 's,^.*\[\[attachment:\(.*\)\]\].*$$,\1,') ; do \
		wget -O howto/images/$@/$$i \
		"$(WIKI_URL)$@/Source?action=AttachFile&do=get&target=$$i" ; done
	rm howto/$@.source

howto:
	dh_testdir
	# Update sources of the HOWTOs.
	[ -d $@ ] || mkdir -p $@
	lftp -c 'mirror -nev $(patsubst %,--exclude %,$(IGNORE)) \
		$(TRADUC)/HOWTO/telechargement/source $@'
	# Fetch index and stylesheet
	wget -O index.html \
		"http://guidespratiques.traduc.org/nouvel_index.php?howto.1"
	lftp -c 'get -ce $(TRADUC)/HOWTO/telechargement/html-1page/style.css'

$(SUPP):
	dh_testdir
	# Download upstream tarball, preserving its timestamp
	lftp -c 'get $(URL_$(subst -,_,$@))'
	# Rename upstream tarball as proper supplementary one
	mv $(FILE_$(subst -,_,$@)) ../$(source)_$(upstream).orig-$@.tar$(suffix $(FILE_$(subst -,_,$@)))
	# Unpack upstream tarball
	[ -d $@ ] || mkdir $@
	tar -a $(OPTION_$(subst -,_,$@)) -C $@ -xf ../$(source)_$(upstream).orig-$@.tar$(suffix $(FILE_$(subst -,_,$@)))

# Build a new .orig.tar.gz.
orig: clean
	tar --xz -C .. --exclude debian --exclude .git --exclude .pc \
		$(patsubst %,--exclude %,$(SUPP)) -cvf \
	 	../$(source)_$(upstream).orig.tar.xz $(source)

override_dh_auto_build:
	cd fcol-faq && make
	cd fhs-fr && make
	cd howto && for i in *.tar.gz; do tar xaf $$i; done; \
		sed -i 's%docbook.org%oasis-open.org/docbook%' \
		CSPM-HOWTO.xml Linux-Complete-Backup-and-Recovery-HOWTO.xml Mobile-IPv6-HOWTO.xml; \
		fig2eps images/Home-Network/*.fig; \
		for i in images/Home-Network/*.eps; do convert $$i $${i%eps}png; done; \
		./preparation-des-scripts.sh; \
		for i in *xml *.sgml; do \
		HOME=/tmp LC_ALL=fr_FR.UTF-8 ../ProductionGuidesPratiques/production-traduc.org.sh $$i; done

override_dh_install:
	dh_install
	# Clean the index and remove reference to the RedHat-CD-HOWTO
	debian/index-cleaner $(HTML_BUILD)/index.html	
	rm -rf $(HTML_BUILD)/RedHat-CD-HOWTO*
	rm -rf $(HTML_BUILD)/outils/RedHat*
	rm -f $(PDF_BUILD)/RedHat-CD-HOWTO.pdf
	rm -f $(PS_BUILD)/RedHat-CD-HOWTO.ps
	rm -f $(TEXT_BUILD)/RedHat-CD-HOWTO.txt
	find $(HTML_BUILD)/images -type f -name *.eps -o -name *.fig | xargs rm -f
	gzip -n $(TEXT_BUILD)/* $(R2)/usr/share/doc/LANG/fr/linux/fhs-fr/fhs.txt
override_dh_installdocs:
	dh_installdocs
	# Workaround over #525821
	sed -i -e "s/\(^Document: .*\)-\(html\|pdf\|ps\|text\)$$/\1/g" \
	$(CURDIR)/debian/$(source)-*/usr/share/doc-base/*
override_dh_compress:
	dh_compress -X.fdisk -X.metadata
override_dh_clean:
	cd fcol-faq && make clean
	cd fhs-fr && make clean
	cd howto && rm -f *.css *.fo *.html *.pdf *.ps *.sh *.txt \
		Authentication-Gateway-HOWTO.sgml Debian-and-Windows-Shared-Printing.xml \
		Home-Network.xml Howto-HOWTO.sgml SquashFS-HOWTO.xml chapter*.xml; \
		find . -mindepth 1 -maxdepth 1 -type d ! -name images | xargs rm -rf; \
		find images -mindepth 1 -maxdepth 1 ! -name HP-HOWTO ! -name TimePrecision-HOWTO \
		$(patsubst %,! -name %,$(WIKI)) | xargs rm -rf
	dh_clean

%:
	dh $@

.PHONY: get-orig-source howto $(SUBVERSION_images) $(SUPP) $(WIKI) orig
